Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network20.232.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
20.232.0.0
Broadcast address
20.232.127.255
First usable
20.232.0.1
Last usable
20.232.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 14E80000 · Integer 350748672 to 350781439
Reverse DNS zones
0.232.20.in-addr.arpa
1.232.20.in-addr.arpa
2.232.20.in-addr.arpa
3.232.20.in-addr.arpa
4.232.20.in-addr.arpa
5.232.20.in-addr.arpa
6.232.20.in-addr.arpa
7.232.20.in-addr.arpa
8.232.20.in-addr.arpa
9.232.20.in-addr.arpa
10.232.20.in-addr.arpa
11.232.20.in-addr.arpa
12.232.20.in-addr.arpa
13.232.20.in-addr.arpa
14.232.20.in-addr.arpa
15.232.20.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010100.11101000.00000000.0000000020.232.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00010100.11101000.00000000.0000000020.232.0.0
Broadcast00010100.11101000.01111111.1111111120.232.127.255
Split into smaller subnets/27

20.232.0.0/17 makes 1,024 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
120.232.0.0/2720.232.0.1 to 20.232.0.3020.232.0.3130
220.232.0.32/2720.232.0.33 to 20.232.0.6220.232.0.6330
320.232.0.64/2720.232.0.65 to 20.232.0.9420.232.0.9530
420.232.0.96/2720.232.0.97 to 20.232.0.12620.232.0.12730
520.232.0.128/2720.232.0.129 to 20.232.0.15820.232.0.15930
620.232.0.160/2720.232.0.161 to 20.232.0.19020.232.0.19130
720.232.0.192/2720.232.0.193 to 20.232.0.22220.232.0.22330
820.232.0.224/2720.232.0.225 to 20.232.0.25420.232.0.25530
920.232.1.0/2720.232.1.1 to 20.232.1.3020.232.1.3130
1020.232.1.32/2720.232.1.33 to 20.232.1.6220.232.1.6330
1120.232.1.64/2720.232.1.65 to 20.232.1.9420.232.1.9530
1220.232.1.96/2720.232.1.97 to 20.232.1.12620.232.1.12730
1320.232.1.128/2720.232.1.129 to 20.232.1.15820.232.1.15930
1420.232.1.160/2720.232.1.161 to 20.232.1.19020.232.1.19130
1520.232.1.192/2720.232.1.193 to 20.232.1.22220.232.1.22330
1620.232.1.224/2720.232.1.225 to 20.232.1.25420.232.1.25530
1720.232.2.0/2720.232.2.1 to 20.232.2.3020.232.2.3130
1820.232.2.32/2720.232.2.33 to 20.232.2.6220.232.2.6330
1920.232.2.64/2720.232.2.65 to 20.232.2.9420.232.2.9530
2020.232.2.96/2720.232.2.97 to 20.232.2.12620.232.2.12730
2120.232.2.128/2720.232.2.129 to 20.232.2.15820.232.2.15930
2220.232.2.160/2720.232.2.161 to 20.232.2.19020.232.2.19130
2320.232.2.192/2720.232.2.193 to 20.232.2.22220.232.2.22330
2420.232.2.224/2720.232.2.225 to 20.232.2.25420.232.2.25530
2520.232.3.0/2720.232.3.1 to 20.232.3.3020.232.3.3130
2620.232.3.32/2720.232.3.33 to 20.232.3.6220.232.3.6330
2720.232.3.64/2720.232.3.65 to 20.232.3.9420.232.3.9530
2820.232.3.96/2720.232.3.97 to 20.232.3.12620.232.3.12730
2920.232.3.128/2720.232.3.129 to 20.232.3.15820.232.3.15930
3020.232.3.160/2720.232.3.161 to 20.232.3.19020.232.3.19130
3120.232.3.192/2720.232.3.193 to 20.232.3.22220.232.3.22330
3220.232.3.224/2720.232.3.225 to 20.232.3.25420.232.3.25530
3320.232.4.0/2720.232.4.1 to 20.232.4.3020.232.4.3130
3420.232.4.32/2720.232.4.33 to 20.232.4.6220.232.4.6330
3520.232.4.64/2720.232.4.65 to 20.232.4.9420.232.4.9530
3620.232.4.96/2720.232.4.97 to 20.232.4.12620.232.4.12730
3720.232.4.128/2720.232.4.129 to 20.232.4.15820.232.4.15930
3820.232.4.160/2720.232.4.161 to 20.232.4.19020.232.4.19130
3920.232.4.192/2720.232.4.193 to 20.232.4.22220.232.4.22330
4020.232.4.224/2720.232.4.225 to 20.232.4.25420.232.4.25530
4120.232.5.0/2720.232.5.1 to 20.232.5.3020.232.5.3130
4220.232.5.32/2720.232.5.33 to 20.232.5.6220.232.5.6330
4320.232.5.64/2720.232.5.65 to 20.232.5.9420.232.5.9530
4420.232.5.96/2720.232.5.97 to 20.232.5.12620.232.5.12730
4520.232.5.128/2720.232.5.129 to 20.232.5.15820.232.5.15930
4620.232.5.160/2720.232.5.161 to 20.232.5.19020.232.5.19130
4720.232.5.192/2720.232.5.193 to 20.232.5.22220.232.5.22330
4820.232.5.224/2720.232.5.225 to 20.232.5.25420.232.5.25530
4920.232.6.0/2720.232.6.1 to 20.232.6.3020.232.6.3130
5020.232.6.32/2720.232.6.33 to 20.232.6.6220.232.6.6330
5120.232.6.64/2720.232.6.65 to 20.232.6.9420.232.6.9530
5220.232.6.96/2720.232.6.97 to 20.232.6.12620.232.6.12730
5320.232.6.128/2720.232.6.129 to 20.232.6.15820.232.6.15930
5420.232.6.160/2720.232.6.161 to 20.232.6.19020.232.6.19130
5520.232.6.192/2720.232.6.193 to 20.232.6.22220.232.6.22330
5620.232.6.224/2720.232.6.225 to 20.232.6.25420.232.6.25530
5720.232.7.0/2720.232.7.1 to 20.232.7.3020.232.7.3130
5820.232.7.32/2720.232.7.33 to 20.232.7.6220.232.7.6330
5920.232.7.64/2720.232.7.65 to 20.232.7.9420.232.7.9530
6020.232.7.96/2720.232.7.97 to 20.232.7.12620.232.7.12730
6120.232.7.128/2720.232.7.129 to 20.232.7.15820.232.7.15930
6220.232.7.160/2720.232.7.161 to 20.232.7.19020.232.7.19130
6320.232.7.192/2720.232.7.193 to 20.232.7.22220.232.7.22330
6420.232.7.224/2720.232.7.225 to 20.232.7.25420.232.7.25530
6520.232.8.0/2720.232.8.1 to 20.232.8.3020.232.8.3130
6620.232.8.32/2720.232.8.33 to 20.232.8.6220.232.8.6330
6720.232.8.64/2720.232.8.65 to 20.232.8.9420.232.8.9530
6820.232.8.96/2720.232.8.97 to 20.232.8.12620.232.8.12730
6920.232.8.128/2720.232.8.129 to 20.232.8.15820.232.8.15930
7020.232.8.160/2720.232.8.161 to 20.232.8.19020.232.8.19130
7120.232.8.192/2720.232.8.193 to 20.232.8.22220.232.8.22330
7220.232.8.224/2720.232.8.225 to 20.232.8.25420.232.8.25530
7320.232.9.0/2720.232.9.1 to 20.232.9.3020.232.9.3130
7420.232.9.32/2720.232.9.33 to 20.232.9.6220.232.9.6330
7520.232.9.64/2720.232.9.65 to 20.232.9.9420.232.9.9530
7620.232.9.96/2720.232.9.97 to 20.232.9.12620.232.9.12730
7720.232.9.128/2720.232.9.129 to 20.232.9.15820.232.9.15930
7820.232.9.160/2720.232.9.161 to 20.232.9.19020.232.9.19130
7920.232.9.192/2720.232.9.193 to 20.232.9.22220.232.9.22330
8020.232.9.224/2720.232.9.225 to 20.232.9.25420.232.9.25530
8120.232.10.0/2720.232.10.1 to 20.232.10.3020.232.10.3130
8220.232.10.32/2720.232.10.33 to 20.232.10.6220.232.10.6330
8320.232.10.64/2720.232.10.65 to 20.232.10.9420.232.10.9530
8420.232.10.96/2720.232.10.97 to 20.232.10.12620.232.10.12730
8520.232.10.128/2720.232.10.129 to 20.232.10.15820.232.10.15930
8620.232.10.160/2720.232.10.161 to 20.232.10.19020.232.10.19130
8720.232.10.192/2720.232.10.193 to 20.232.10.22220.232.10.22330
8820.232.10.224/2720.232.10.225 to 20.232.10.25420.232.10.25530
8920.232.11.0/2720.232.11.1 to 20.232.11.3020.232.11.3130
9020.232.11.32/2720.232.11.33 to 20.232.11.6220.232.11.6330
9120.232.11.64/2720.232.11.65 to 20.232.11.9420.232.11.9530
9220.232.11.96/2720.232.11.97 to 20.232.11.12620.232.11.12730
9320.232.11.128/2720.232.11.129 to 20.232.11.15820.232.11.15930
9420.232.11.160/2720.232.11.161 to 20.232.11.19020.232.11.19130
9520.232.11.192/2720.232.11.193 to 20.232.11.22220.232.11.22330
9620.232.11.224/2720.232.11.225 to 20.232.11.25420.232.11.25530
9720.232.12.0/2720.232.12.1 to 20.232.12.3020.232.12.3130
9820.232.12.32/2720.232.12.33 to 20.232.12.6220.232.12.6330
9920.232.12.64/2720.232.12.65 to 20.232.12.9420.232.12.9530
10020.232.12.96/2720.232.12.97 to 20.232.12.12620.232.12.12730
10120.232.12.128/2720.232.12.129 to 20.232.12.15820.232.12.15930
10220.232.12.160/2720.232.12.161 to 20.232.12.19020.232.12.19130
10320.232.12.192/2720.232.12.193 to 20.232.12.22220.232.12.22330
10420.232.12.224/2720.232.12.225 to 20.232.12.25420.232.12.25530
10520.232.13.0/2720.232.13.1 to 20.232.13.3020.232.13.3130
10620.232.13.32/2720.232.13.33 to 20.232.13.6220.232.13.6330
10720.232.13.64/2720.232.13.65 to 20.232.13.9420.232.13.9530
10820.232.13.96/2720.232.13.97 to 20.232.13.12620.232.13.12730
10920.232.13.128/2720.232.13.129 to 20.232.13.15820.232.13.15930
11020.232.13.160/2720.232.13.161 to 20.232.13.19020.232.13.19130
11120.232.13.192/2720.232.13.193 to 20.232.13.22220.232.13.22330
11220.232.13.224/2720.232.13.225 to 20.232.13.25420.232.13.25530
11320.232.14.0/2720.232.14.1 to 20.232.14.3020.232.14.3130
11420.232.14.32/2720.232.14.33 to 20.232.14.6220.232.14.6330
11520.232.14.64/2720.232.14.65 to 20.232.14.9420.232.14.9530
11620.232.14.96/2720.232.14.97 to 20.232.14.12620.232.14.12730
11720.232.14.128/2720.232.14.129 to 20.232.14.15820.232.14.15930
11820.232.14.160/2720.232.14.161 to 20.232.14.19020.232.14.19130
11920.232.14.192/2720.232.14.193 to 20.232.14.22220.232.14.22330
12020.232.14.224/2720.232.14.225 to 20.232.14.25420.232.14.25530
12120.232.15.0/2720.232.15.1 to 20.232.15.3020.232.15.3130
12220.232.15.32/2720.232.15.33 to 20.232.15.6220.232.15.6330
12320.232.15.64/2720.232.15.65 to 20.232.15.9420.232.15.9530
12420.232.15.96/2720.232.15.97 to 20.232.15.12620.232.15.12730
12520.232.15.128/2720.232.15.129 to 20.232.15.15820.232.15.15930
12620.232.15.160/2720.232.15.161 to 20.232.15.19020.232.15.19130
12720.232.15.192/2720.232.15.193 to 20.232.15.22220.232.15.22330
12820.232.15.224/2720.232.15.225 to 20.232.15.25420.232.15.25530
12920.232.16.0/2720.232.16.1 to 20.232.16.3020.232.16.3130
13020.232.16.32/2720.232.16.33 to 20.232.16.6220.232.16.6330
13120.232.16.64/2720.232.16.65 to 20.232.16.9420.232.16.9530
13220.232.16.96/2720.232.16.97 to 20.232.16.12620.232.16.12730
13320.232.16.128/2720.232.16.129 to 20.232.16.15820.232.16.15930
13420.232.16.160/2720.232.16.161 to 20.232.16.19020.232.16.19130
13520.232.16.192/2720.232.16.193 to 20.232.16.22220.232.16.22330
13620.232.16.224/2720.232.16.225 to 20.232.16.25420.232.16.25530
13720.232.17.0/2720.232.17.1 to 20.232.17.3020.232.17.3130
13820.232.17.32/2720.232.17.33 to 20.232.17.6220.232.17.6330
13920.232.17.64/2720.232.17.65 to 20.232.17.9420.232.17.9530
14020.232.17.96/2720.232.17.97 to 20.232.17.12620.232.17.12730
14120.232.17.128/2720.232.17.129 to 20.232.17.15820.232.17.15930
14220.232.17.160/2720.232.17.161 to 20.232.17.19020.232.17.19130
14320.232.17.192/2720.232.17.193 to 20.232.17.22220.232.17.22330
14420.232.17.224/2720.232.17.225 to 20.232.17.25420.232.17.25530
14520.232.18.0/2720.232.18.1 to 20.232.18.3020.232.18.3130
14620.232.18.32/2720.232.18.33 to 20.232.18.6220.232.18.6330
14720.232.18.64/2720.232.18.65 to 20.232.18.9420.232.18.9530
14820.232.18.96/2720.232.18.97 to 20.232.18.12620.232.18.12730
14920.232.18.128/2720.232.18.129 to 20.232.18.15820.232.18.15930
15020.232.18.160/2720.232.18.161 to 20.232.18.19020.232.18.19130
15120.232.18.192/2720.232.18.193 to 20.232.18.22220.232.18.22330
15220.232.18.224/2720.232.18.225 to 20.232.18.25420.232.18.25530
15320.232.19.0/2720.232.19.1 to 20.232.19.3020.232.19.3130
15420.232.19.32/2720.232.19.33 to 20.232.19.6220.232.19.6330
15520.232.19.64/2720.232.19.65 to 20.232.19.9420.232.19.9530
15620.232.19.96/2720.232.19.97 to 20.232.19.12620.232.19.12730
15720.232.19.128/2720.232.19.129 to 20.232.19.15820.232.19.15930
15820.232.19.160/2720.232.19.161 to 20.232.19.19020.232.19.19130
15920.232.19.192/2720.232.19.193 to 20.232.19.22220.232.19.22330
16020.232.19.224/2720.232.19.225 to 20.232.19.25420.232.19.25530
16120.232.20.0/2720.232.20.1 to 20.232.20.3020.232.20.3130
16220.232.20.32/2720.232.20.33 to 20.232.20.6220.232.20.6330
16320.232.20.64/2720.232.20.65 to 20.232.20.9420.232.20.9530
16420.232.20.96/2720.232.20.97 to 20.232.20.12620.232.20.12730
16520.232.20.128/2720.232.20.129 to 20.232.20.15820.232.20.15930
16620.232.20.160/2720.232.20.161 to 20.232.20.19020.232.20.19130
16720.232.20.192/2720.232.20.193 to 20.232.20.22220.232.20.22330
16820.232.20.224/2720.232.20.225 to 20.232.20.25420.232.20.25530
16920.232.21.0/2720.232.21.1 to 20.232.21.3020.232.21.3130
17020.232.21.32/2720.232.21.33 to 20.232.21.6220.232.21.6330
17120.232.21.64/2720.232.21.65 to 20.232.21.9420.232.21.9530
17220.232.21.96/2720.232.21.97 to 20.232.21.12620.232.21.12730
17320.232.21.128/2720.232.21.129 to 20.232.21.15820.232.21.15930
17420.232.21.160/2720.232.21.161 to 20.232.21.19020.232.21.19130
17520.232.21.192/2720.232.21.193 to 20.232.21.22220.232.21.22330
17620.232.21.224/2720.232.21.225 to 20.232.21.25420.232.21.25530
17720.232.22.0/2720.232.22.1 to 20.232.22.3020.232.22.3130
17820.232.22.32/2720.232.22.33 to 20.232.22.6220.232.22.6330
17920.232.22.64/2720.232.22.65 to 20.232.22.9420.232.22.9530
18020.232.22.96/2720.232.22.97 to 20.232.22.12620.232.22.12730
18120.232.22.128/2720.232.22.129 to 20.232.22.15820.232.22.15930
18220.232.22.160/2720.232.22.161 to 20.232.22.19020.232.22.19130
18320.232.22.192/2720.232.22.193 to 20.232.22.22220.232.22.22330
18420.232.22.224/2720.232.22.225 to 20.232.22.25420.232.22.25530
18520.232.23.0/2720.232.23.1 to 20.232.23.3020.232.23.3130
18620.232.23.32/2720.232.23.33 to 20.232.23.6220.232.23.6330
18720.232.23.64/2720.232.23.65 to 20.232.23.9420.232.23.9530
18820.232.23.96/2720.232.23.97 to 20.232.23.12620.232.23.12730
18920.232.23.128/2720.232.23.129 to 20.232.23.15820.232.23.15930
19020.232.23.160/2720.232.23.161 to 20.232.23.19020.232.23.19130
19120.232.23.192/2720.232.23.193 to 20.232.23.22220.232.23.22330
19220.232.23.224/2720.232.23.225 to 20.232.23.25420.232.23.25530
19320.232.24.0/2720.232.24.1 to 20.232.24.3020.232.24.3130
19420.232.24.32/2720.232.24.33 to 20.232.24.6220.232.24.6330
19520.232.24.64/2720.232.24.65 to 20.232.24.9420.232.24.9530
19620.232.24.96/2720.232.24.97 to 20.232.24.12620.232.24.12730
19720.232.24.128/2720.232.24.129 to 20.232.24.15820.232.24.15930
19820.232.24.160/2720.232.24.161 to 20.232.24.19020.232.24.19130
19920.232.24.192/2720.232.24.193 to 20.232.24.22220.232.24.22330
20020.232.24.224/2720.232.24.225 to 20.232.24.25420.232.24.25530
20120.232.25.0/2720.232.25.1 to 20.232.25.3020.232.25.3130
20220.232.25.32/2720.232.25.33 to 20.232.25.6220.232.25.6330
20320.232.25.64/2720.232.25.65 to 20.232.25.9420.232.25.9530
20420.232.25.96/2720.232.25.97 to 20.232.25.12620.232.25.12730
20520.232.25.128/2720.232.25.129 to 20.232.25.15820.232.25.15930
20620.232.25.160/2720.232.25.161 to 20.232.25.19020.232.25.19130
20720.232.25.192/2720.232.25.193 to 20.232.25.22220.232.25.22330
20820.232.25.224/2720.232.25.225 to 20.232.25.25420.232.25.25530
20920.232.26.0/2720.232.26.1 to 20.232.26.3020.232.26.3130
21020.232.26.32/2720.232.26.33 to 20.232.26.6220.232.26.6330
21120.232.26.64/2720.232.26.65 to 20.232.26.9420.232.26.9530
21220.232.26.96/2720.232.26.97 to 20.232.26.12620.232.26.12730
21320.232.26.128/2720.232.26.129 to 20.232.26.15820.232.26.15930
21420.232.26.160/2720.232.26.161 to 20.232.26.19020.232.26.19130
21520.232.26.192/2720.232.26.193 to 20.232.26.22220.232.26.22330
21620.232.26.224/2720.232.26.225 to 20.232.26.25420.232.26.25530
21720.232.27.0/2720.232.27.1 to 20.232.27.3020.232.27.3130
21820.232.27.32/2720.232.27.33 to 20.232.27.6220.232.27.6330
21920.232.27.64/2720.232.27.65 to 20.232.27.9420.232.27.9530
22020.232.27.96/2720.232.27.97 to 20.232.27.12620.232.27.12730
22120.232.27.128/2720.232.27.129 to 20.232.27.15820.232.27.15930
22220.232.27.160/2720.232.27.161 to 20.232.27.19020.232.27.19130
22320.232.27.192/2720.232.27.193 to 20.232.27.22220.232.27.22330
22420.232.27.224/2720.232.27.225 to 20.232.27.25420.232.27.25530
22520.232.28.0/2720.232.28.1 to 20.232.28.3020.232.28.3130
22620.232.28.32/2720.232.28.33 to 20.232.28.6220.232.28.6330
22720.232.28.64/2720.232.28.65 to 20.232.28.9420.232.28.9530
22820.232.28.96/2720.232.28.97 to 20.232.28.12620.232.28.12730
22920.232.28.128/2720.232.28.129 to 20.232.28.15820.232.28.15930
23020.232.28.160/2720.232.28.161 to 20.232.28.19020.232.28.19130
23120.232.28.192/2720.232.28.193 to 20.232.28.22220.232.28.22330
23220.232.28.224/2720.232.28.225 to 20.232.28.25420.232.28.25530
23320.232.29.0/2720.232.29.1 to 20.232.29.3020.232.29.3130
23420.232.29.32/2720.232.29.33 to 20.232.29.6220.232.29.6330
23520.232.29.64/2720.232.29.65 to 20.232.29.9420.232.29.9530
23620.232.29.96/2720.232.29.97 to 20.232.29.12620.232.29.12730
23720.232.29.128/2720.232.29.129 to 20.232.29.15820.232.29.15930
23820.232.29.160/2720.232.29.161 to 20.232.29.19020.232.29.19130
23920.232.29.192/2720.232.29.193 to 20.232.29.22220.232.29.22330
24020.232.29.224/2720.232.29.225 to 20.232.29.25420.232.29.25530
24120.232.30.0/2720.232.30.1 to 20.232.30.3020.232.30.3130
24220.232.30.32/2720.232.30.33 to 20.232.30.6220.232.30.6330
24320.232.30.64/2720.232.30.65 to 20.232.30.9420.232.30.9530
24420.232.30.96/2720.232.30.97 to 20.232.30.12620.232.30.12730
24520.232.30.128/2720.232.30.129 to 20.232.30.15820.232.30.15930
24620.232.30.160/2720.232.30.161 to 20.232.30.19020.232.30.19130
24720.232.30.192/2720.232.30.193 to 20.232.30.22220.232.30.22330
24820.232.30.224/2720.232.30.225 to 20.232.30.25420.232.30.25530
24920.232.31.0/2720.232.31.1 to 20.232.31.3020.232.31.3130
25020.232.31.32/2720.232.31.33 to 20.232.31.6220.232.31.6330
25120.232.31.64/2720.232.31.65 to 20.232.31.9420.232.31.9530
25220.232.31.96/2720.232.31.97 to 20.232.31.12620.232.31.12730
25320.232.31.128/2720.232.31.129 to 20.232.31.15820.232.31.15930
25420.232.31.160/2720.232.31.161 to 20.232.31.19020.232.31.19130
25520.232.31.192/2720.232.31.193 to 20.232.31.22220.232.31.22330
25620.232.31.224/2720.232.31.225 to 20.232.31.25420.232.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses